package de.abas.screen.ls.ide.completion;

import org.eclipse.xtext.AbstractElement;
import org.eclipse.xtext.Assignment;
import org.eclipse.xtext.CrossReference;
import org.eclipse.xtext.Keyword;
import org.eclipse.xtext.RuleCall;
import org.eclipse.xtext.ide.editor.contentassist.ContentAssistContext;
import org.eclipse.xtext.ide.editor.contentassist.IIdeContentProposalAcceptor;
import org.eclipse.xtext.ide.editor.contentassist.IdeContentProposalProvider;
import org.eclipse.xtext.xbase.lib.InputOutput;

@SuppressWarnings("all")
public class ScreenServiceContentProposalProvider extends IdeContentProposalProvider {
  @Override
  protected void _createProposals(final AbstractElement element, final ContentAssistContext context, final IIdeContentProposalAcceptor acceptor) {
    super._createProposals(element, context, acceptor);
    InputOutput.<String>println(("_createProposals: element=" + element));
  }
  
  @Override
  protected void _createProposals(final Assignment assignment, final ContentAssistContext context, final IIdeContentProposalAcceptor acceptor) {
    super._createProposals(assignment, context, acceptor);
    InputOutput.<String>println(("_createProposals: assignment=" + assignment));
  }
  
  @Override
  protected void _createProposals(final CrossReference reference, final ContentAssistContext context, final IIdeContentProposalAcceptor acceptor) {
    super._createProposals(reference, context, acceptor);
    InputOutput.<String>println(("_createProposals: reference=" + reference));
  }
  
  @Override
  protected void _createProposals(final Keyword keyword, final ContentAssistContext context, final IIdeContentProposalAcceptor acceptor) {
    super._createProposals(keyword, context, acceptor);
    InputOutput.<String>println(("_createProposals: keyword=" + keyword));
  }
  
  @Override
  protected void _createProposals(final RuleCall ruleCall, final ContentAssistContext context, final IIdeContentProposalAcceptor acceptor) {
    super._createProposals(ruleCall, context, acceptor);
    InputOutput.<String>println(("_createProposals: ruleCall=" + ruleCall));
  }
}
