package de.abas.screen.ls.ide.completion

import org.eclipse.xtext.AbstractElement
import org.eclipse.xtext.ide.editor.contentassist.ContentAssistContext
import org.eclipse.xtext.ide.editor.contentassist.IIdeContentProposalAcceptor
import org.eclipse.xtext.ide.editor.contentassist.IdeContentProposalProvider
import org.eclipse.xtext.Assignment
import org.eclipse.xtext.CrossReference
import org.eclipse.xtext.Keyword
import org.eclipse.xtext.RuleCall

class ScreenServiceContentProposalProvider extends IdeContentProposalProvider {
	override protected void _createProposals(AbstractElement element, ContentAssistContext context,
		IIdeContentProposalAcceptor acceptor) {
		super._createProposals(element, context, acceptor)
		println("_createProposals: element=" + element)
	}

	override protected _createProposals(Assignment assignment, ContentAssistContext context,
		IIdeContentProposalAcceptor acceptor) {
		super._createProposals(assignment, context, acceptor)
		println("_createProposals: assignment=" + assignment)
	}
	
	override protected _createProposals(CrossReference reference, ContentAssistContext context, IIdeContentProposalAcceptor acceptor) {
		super._createProposals(reference, context, acceptor)
				println("_createProposals: reference=" + reference)
	}

	override protected _createProposals(Keyword keyword, ContentAssistContext context, IIdeContentProposalAcceptor acceptor) {
		super._createProposals(keyword, context, acceptor)
				println("_createProposals: keyword=" + keyword)
	}
	
	override protected _createProposals(RuleCall ruleCall, ContentAssistContext context, IIdeContentProposalAcceptor acceptor) {
		super._createProposals(ruleCall, context, acceptor)
				println("_createProposals: ruleCall=" + ruleCall)
	}
	
}
